Page MenuHomePhabricator

Wikimetrics docker build/test environment is broken
Closed, DeclinedPublic

Description

While the docker environment for wikimetrics worked great initially, it seems broken now and after solving a few errors I'm giving up for now because I need to get a patch in production. I will just test by merging and deploying to staging - I know, not ideal. Ideally someone should fix this.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 3 2018, 6:53 PM
Milimetric moved this task from Deprioritized to Incoming on the Analytics board.May 3 2018, 8:20 PM
mforns moved this task from Incoming to Deprioritized on the Analytics board.May 7 2018, 3:26 PM
Vvjjkkii renamed this task from Wikimetrics docker build/test environment is broken to jodaaaaaaa.Jul 1 2018, 1:12 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from jodaaaaaaa to Wikimetrics docker build/test environment is broken.Jul 2 2018, 4:31 PM
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.

Not sure exactly what issues this ticket meant to address, but I was able to get the docker env working for the current master branch of wikimetrics with a few modifications to docker-compose.yml and wikimetrics/config/queue_config.yaml, under docker 18.06.1-ce using the rev 3 compose file format (https://docs.docker.com/compose/compose-file/compose-versioning/). I know this is a low-priority item at the moment, but I wanted to get this working for some sec rev work I'm performing (though sadly, the meta and Google OAuth config tokens seem to maybe not be working within my local dev env.) Happy to submit this patch in gerrit if it helps solve some of these issues.

Nuria added a subscriber: Nuria.Oct 2 2018, 9:10 PM

Please do submit @sbassett

Change 464059 had a related patch set uploaded (by SBassett; owner: SBassett):
[analytics/wikimetrics@master] Update docker-compose.yml and queue_config.yaml

https://gerrit.wikimedia.org/r/464059

Hmm, a handful of flake8 fails unrelated to my patch: https://integration.wikimedia.org/ci/job/tox-docker/4084/console. I could add the check codes to the ignore list in tox.ini, but I'm probably not the right person to make that call.

Change 464059 merged by Milimetric:
[analytics/wikimetrics@master] Update docker-compose.yml and queue_config.yaml

https://gerrit.wikimedia.org/r/464059

Sounds good, thanks.

mforns closed this task as Declined.Mar 26 2019, 2:05 PM
mforns added a subscriber: mforns.

Declining because Wikimetrics is being discontinued. See: T211835.

sbassett added a comment.EditedMar 26 2019, 3:15 PM

@mforns - Has wikimetrics already been undeployed? It looks like it might have been, since metrics.wmflabs.org seems to point to a different app now. I ask because there's an oustanding security review task open (T76782) that I'd like to resolve and make public as long as the wikimetrics code is completely undeployed. Thanks.

@sbassett Yes, we have already redirected metrics.wmflabs.org to Event Metrics tool.
And this week we'll release the cloud instances that run Wikimetrics.
I'm in the process of sunsetting Wikimetrics until the end of this week.

@mforns Ok, I'll plan to resolve and make public T76782 this Friday afternoon.